Rated 1 out of 5 stars

Review was meant for a different add-on with a like name.

This review is for a previous version of the add-on (1.2). 

@JohnC Rated 5 out of 5 stars

Add-on Compatibility Reporter is recommended for Firefox beta/alpha users so they can test their add-ons functionality,it is perfectly safe for you to use and requires no developer knowledge.All it does is allow the installation of incompatible add-ons and sending reports so that the add-on developer can be made aware of it functioning correctly or not with new Firefox versions.

This add-on still functions properly with Firefox 5.0,so what you can do is edit the MAX VERSION yourself if you do not want to wait for the developer to update.

How to edit the MAX VERSION here : http://kb.mozillazine.org/Editing_an_add-on_to_change_its_compatibility

This review is for a previous version of the add-on (1.2). 

Rated 5 out of 5 stars

Very useful and much needed for me.
It is compatible with Firefox 5.0 and works perfectly(w/Add-on Compatibility Reporter)

This review is for a previous version of the add-on (1.2).